import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class CreateProfileScreen extends ConsumerWidget {
  const CreateProfileScreen({super.key});

  final bool firstTime = false;

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final theme = ref.watch(themePortProvider);

    return Column(
      spacing: 24,
      children: [
        Text(
          "Comienza con un peque; luego podrás agregar más",
          textAlign: TextAlign.center,
          style: TextStyle(
            fontSize: 14,
            fontWeight: FontWeight.w500,
            letterSpacing: 0,
          ),
        ),
        CustomTextField(label: "Nombre", hint: "Nombre"),
        CustomTextField(label: "Apellidos", hint: "Apellidos"),
        Column(
          spacing: 8,
          children: [
            Align(
              alignment: Alignment.bottomLeft,
              child: Text(
                "Fecha de nacimiento",
                style: TextStyle(fontSize: 14, letterSpacing: 0),
              ),
            ),
            Row(
              spacing: 10,
              children: [
                Expanded(
                  child: CustomTextField(
                    keyboardType: TextInputType.number,
                    hint: "DD",
                    length: 2,
                  ),
                ),
                Expanded(
                  child: CustomTextField(
                    keyboardType: TextInputType.number,
                    hint: "MM",
                    length: 2,
                  ),
                ),
                Expanded(
                  child: CustomTextField(
                    keyboardType: TextInputType.number,
                    hint: "AAAA",
                    length: 4,
                  ),
                ),
              ],
            ),
          ],
        ),
        CustomTextField(
          label: "Dirección completa",
          hint: "Nombre de la calle",
        ),
        Align(
          alignment: Alignment.topLeft,
          child: CustomTextButton(
            onPressed: () => {},
            text: "Cambiar dirección",
            size: 18,
            weight: FontWeight.w500,
          ),
        ),
      ],
    );
  }
}
